Skip to main content
`Ctrl`+`K`

# NEPSetUp

Sets up all the internal data structures necessary for the execution of the nonlinear eigensolver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetUp(NEP nep)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Notes

This function need not be called explicitly in most cases, since `NEPSolve()` calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPCreate()`, `NEPSolve()`, `NEPDestroy()`

## Level

developer

## Location

src/nep/interface/nepsetup.c

## Implementations

NEPSetUp_CISS() in src/nep/impls/ciss/nciss.c
NEPSetUp_Interpol() in src/nep/impls/interpol/interpol.c
NEPSetUp_NArnoldi() in src/nep/impls/narnoldi/narnoldi.c
NEPSetUp_NLEIGS() in src/nep/impls/nleigs/nleigs.c
NEPSetUp_RII() in src/nep/impls/rii/rii.c
NEPSetUp_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages